#include <stdio.h>

int main()
{
    int a, b, x, y;
    scanf("%d %d", &a, &b);
    scanf("%d %d", &x, &y);
    if(a-x>0 && b-y==0)
        printf("prvi");
    if(b-y>0 && a-x==0)
        printf("drugi");
    if(a==x && b==y)
        printf("nijedan");
    if(a-x>0 && b-y>0)
        printf("?");
    return 0;
}